Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | List of all members
ezpRestRouter Class Reference
Inheritance diagram for ezpRestRouter:

## Public Member Functions
| createRoutes ()

## Public Attributes
const | ROUTE_CACHE_ID = 'ezpRestRouteApcCache'
const | ROUTE_CACHE_KEY = 'ezpRestRouteApcCacheKey'
const | ROUTE_CACHE_PATH = 'restRouteAPC'

## Static Public Attributes
static | $isRouteCacheCreated = false

## Protected Member Functions
| doCreateRoutes ()
| getCachedRoutes ()

## Detailed Description

Definition at line 11 of file router.php.

## Member Function Documentation

## ◆ createRoutes()

ezpRestRouter::createRoutes | ( |  | ) |

(non-PHPdoc)

See also
  lib/ezc/MvcTools/src/ezcMvcRouter::createRoutes()

Definition at line 27 of file router.php.

References doCreateRoutes(), and getCachedRoutes().

## ◆ doCreateRoutes()

ezpRestRouter::doCreateRoutes | ( |  | ) |
| protected

Do create the REST routes

Returns
  array The route objects

Definition at line 50 of file router.php.

References ezpRestPrefixFilterInterface\getApiProviderName(), and ezpRestProvider\getProvider().

Referenced by createRoutes(), and getCachedRoutes().

## ◆ getCachedRoutes()

ezpRestRouter::getCachedRoutes | ( |  | ) |
| protected

Extract REST routes from APC cache. Cache is generated if needed

Returns
  array The route objects

Definition at line 66 of file router.php.

References $options, doCreateRoutes(), ezpRestPrefixFilterInterface\getApiProviderName(), and ezpRestDebug\getInstance().

Referenced by createRoutes().

## Member Data Documentation

## ◆ $isRouteCacheCreated

ezpRestRouter::$isRouteCacheCreated = false
| static

Definition at line 21 of file router.php.

## ◆ ROUTE_CACHE_ID

const ezpRestRouter::ROUTE_CACHE_ID = 'ezpRestRouteApcCache'

Definition at line 13 of file router.php.

## ◆ ROUTE_CACHE_KEY

const ezpRestRouter::ROUTE_CACHE_KEY = 'ezpRestRouteApcCacheKey'

Definition at line 14 of file router.php.

Referenced by ezpRestRoutesCacheClear\clearCache(), and ezpRestCacheStorageApcCluster\store().

## ◆ ROUTE_CACHE_PATH

const ezpRestRouter::ROUTE_CACHE_PATH = 'restRouteAPC'

Definition at line 15 of file router.php.

The documentation for this class was generated from the following file:

- router.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.